Maps JavaScript API Version Update

2,005 views
Skip to first unread message

Aleh Medzviadziuk

unread,
Jan 31, 2022, 2:59:06 PM1/31/22
to google-maps-js...@googlegroups.com
We will be making the current weekly version the new quarterly version on the week of February 14, 2022. The versions will then be:

Weekly: 3.48
Quarterly: 3.47
Frozen: 3.46

3.45 will be retired.

If you don't specify a version (or request a retired version), you will be served a default version, which depending on your key configuration will be either 3.47 or 3.48. But a developer specified version will always be honored and served when requested when it's an existing version.

For more information about Maps API versioning, see:

To report issues with any version of the API, see:

Aleh Medzviadziuk

unread,
Feb 18, 2022, 6:54:20 PM2/18/22
to google-maps-js...@googlegroups.com
On the week of February 14, 2022 we updated available versions of the Maps JavaScript API. The versions are now:

Weekly channel will serve 3.48
Quarterly channel will serve 3.47
Exact version numbers can be specified as v=3.48, v=3.47, v=3.46, or v=3.45
 
No version was decommissioned.

If you don't specify a version (or request a retired version), you will be served a default version, which depending on your key configuration will be either 3.47 or 3.48. But a developer specified version will always be honored and served when requested when it's an existing version.

For more information about Maps API versioning, see:

To report issues with any version of the API, see:

Update
As of February 2022, versions of Maps JavaScript API will be available for 12 months instead of the previous schedule of 9 months. This change does not affect the beta, weekly, or quarterly channels. At any given time, there will be four fully supported major versions of Maps JavaScript API available. See the updated Maps JavaScript API versioning documentation for more information.
 
It is still recommended to specify the weekly or quarterly channel, and only specify a version number if a backwards-incompatible change is coming and you need extra time to update your application. With this change, you will be able to specify an available version for up to 12 months before adopting a backwards-incompatible change in the following version.

Reply all
Reply to author
Forward
0 new messages